Debian Security Advisory

DSA-1267-1 webcalendar -- missing input sanitising

Date Reported:
15 Mar 2007
Affected Packages:
Security database references:
In Mitre's CVE dictionary: CVE-2007-1343.
More information:

It was discovered that WebCalendar, a PHP-based calendar application, insufficiently protects an internal variable, which allows remote file inclusion.

For the stable distribution (sarge) this problem has been fixed in version 0.9.45-4sarge6.

The upcoming stable distribution (etch) no longer contains webcalendar packages.

For the unstable distribution (sid) this problem will be fixed soon.

We recommend that you upgrade your webcalendar package.

Fixed in:

Debian GNU/Linux 3.1 (sarge)

Architecture-independent component:

MD5 checksums of the listed files are available in the original advisory.